#
# spec file for package ttf2pt1
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ttf2pt1
Version:        3.4.4
Release:        1.24
Summary:        True Type Font to PostScript Type 1 font converter
License:        BSD-3-Clause
Group:          Productivity/Publishing/PS
Url:            http://ttf2pt1.sourceforge.net/
Source0:        http://download.sourceforge.net/ttf2pt1/ttf2pt1-%{version}.tgz
Source1:        http://download.sourceforge.net/ttf2pt1/ttf2pt1-chinese-3.4.0.tgz
Source2:        README.SUSE
Patch0:         %{name}.diff
Patch1:         ttf2pt1-3.4.1-freetype2.diff
Patch2:         freetype-2.1.7.patch
Patch3:         ttf2pt1-3.4.4-fix-convert.patch
BuildRequires:  fdupes
BuildRequires:  freetype2-devel
Requires:       t1utils

%description
This is a collection of tools and scripts that allow to convert True
Type Fonts (as used by MS Wind*ws) to be converted to Postscript Type 1
fonts, so they can be used in X11 and Ghostscript.

%prep
%setup -q -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make %{?_smp_mflags} CFLAGS_SYS="%{optflags} -fno-strict-aliasing"

%install
make INSTDIR=%{buildroot}%{_prefix} MANDIR=%{buildroot}/%{_mandir} install
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp -ai %{buildroot}%{_datadir}/%{name}/scripts/convert.cfg.sample \
       %{buildroot}%{_sysconfdir}/%{name}/convert.cfg
cp -a ttf2pt1-chinese-*/*.map %{buildroot}%{_datadir}/%{name}/maps/
rm -f  %{buildroot}%{_datadir}/%{name}/scripts/{inst_dir,inst_file,mkrel,html2man}
rm -rf  %{buildroot}%{_datadir}/%{name}/app/{RPM,X11}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}/{app,encodings,other}
for i in COPYRIGHT FONTS* README* CHANGES* app encodings other
do
    ln -s %{_datadir}/%{name}/$i %{buildroot}%{_defaultdocdir}/%{name}/$i
done
cp -a %{SOURCE2} %{buildroot}%{_defaultdocdir}/%{name}
sed -i -e 's!%{buildroot}!!' %{buildroot}/%{_mandir}/man1/*
%fdupes -s %{buildroot}

%files
%doc %{_defaultdocdir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_bindir}/*
%{_prefix}/lib/ttf2pt1
%{_datadir}/%{name}
%{_mandir}/man1/*

%changelog
* Mon Nov 13 2017 mpluskal@suse.com
- Run spec cleaner
- Use fdupes
- Use correct version
- Update source urls to working ones
* Mon Nov 13 2017 dimstar@opensuse.org
- Rename README.SuSE to README.SUSE, adhering to the correct
  spelling.
* Mon Jan 23 2017 jengelh@inai.de
- Drop redundant sections (authors, %%clean, pre-clean in %%install)
* Sun Jan 22 2017 bwiedemann@suse.com
- drop buildroot from files in rpm
  because the rebuild counter made build-compare unhappy
* Wed Dec 10 2014 Led <ledest@gmail.com>
- fix "unsafe echo with backslash" in convert script
- add patches:
  * ttf2pt1-3.4.4-fix-convert.patch
* Mon Aug 21 2006 anosek@suse.cz
- fixed not building with make 3.81
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Tue Feb 17 2004 nadvornik@suse.cz
- do not build nsfix
- build as user
* Wed Feb 11 2004 nadvornik@suse.cz
- updated to 3.4.4
- compiled with -fno-strict-aliasing
* Fri Dec 19 2003 mfabian@suse.de
- update to 3.4.3
- make it build again with freetype 2.1.7.
* Tue Jun 17 2003 ro@suse.de
- added directory to filelist
* Wed Aug 14 2002 nadvornik@suse.cz
- changed directory layout under /usr/share/doc/ttf2pt1
  to the same as on 8.0 because RPM can't update from directory
  to symlink.
* Mon Jul 29 2002 nadvornik@suse.cz
- updated to 3.4.1
  - vectorization of bitmap fonts
- fixed some typos in spec file and patches
* Tue Mar 12 2002 nadvornik@suse.cz
- added dir /etc/ttf2pt1 to filelist
* Mon Jan 14 2002 mfabian@suse.de
- update to 3.4.0 (chinese map files updated as well)
- enable the Freetype2-based parser (option '-p ft')
* Wed Dec  5 2001 nadvornik@suse.cz
- changed /usr/libexec to /usr/lib
* Tue Nov 13 2001 mfabian@suse.de
- update to 3.3.5
- remove hunk patching ttf2pt1-321/app/RPM/ttf2pt1.spec
  (we don't use that .spec file anyway)
- Chinese map files have been separated in to a different
  tar ball upstream. Include that as well.
- ttf2pfa has vanished from ttf2pt1-3.3.5, it is obsolete
  (All of its functionality has been integrated into ttf2pt1
  and all the development moved to ttf2pt1, including Andrew Weeks,
  the author of ttf2pfa. Please use ttf2pt1 instead.)
- use 'make install'
- add man pages
- install config file to /etc/ttf2pt1/convert.cfg
* Mon Dec 11 2000 nadvornik@suse.cz
- removed t1asm, added Requires: t1utils
* Fri May 26 2000 garloff@suse.de
- Update to 322.
* Wed May 24 2000 garloff@suse.de
- Use %%{_docdir}
* Thu Apr 13 2000 garloff@suse.de
- initial creation of package
